Angle Structures

Angle structures on triangulations. More...

## Classes

class | regina::AngleStructureVector
| A vector of integers used to indirectly store the individual angles in an angle structure. More...
class | regina::AngleStructure
| Represents an angle structure on a triangulation. More...
class | regina::AngleStructures
| A packet representing a collection of angle structures on a triangulation. More...
class | regina::XMLAngleStructureReader
| An XML element reader that reads a single angle structure. More...
class | regina::XMLAngleStructuresReader
| An XML packet reader that reads a single angle structure list. More...

## Typedefs

typedef AngleStructureVector | regina::NAngleStructureVector
| Deprecated typedef for backward compatibility. More...
typedef AngleStructure | regina::NAngleStructure
| Deprecated typedef for backward compatibility. More...
typedef AngleStructures | regina::NAngleStructureList
| Deprecated typedef for backward compatibility. More...

## Functions

MatrixInt * | regina::makeAngleEquations (const Triangulation< 3 > *tri)
| Creates a new set of angle structure equations for the given triangulation. More...

## Detailed Description

Angle structures on triangulations.

## Typedef Documentation

## NAngleStructure

typedef AngleStructure regina::NAngleStructure

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The class NAngleStructure has now been renamed to AngleStructure.

## NAngleStructureList

typedef AngleStructures regina::NAngleStructureList

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The class NAngleStructureList has now been renamed to AngleStructures.

## NAngleStructureVector

typedef AngleStructureVector regina::NAngleStructureVector

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The class NAngleStructureVector has now been renamed to AngleStructureVector.

## Function Documentation

## makeAngleEquations()

MatrixInt * regina::makeAngleEquations | ( | const Triangulation< 3 > * | tri | ) |

inline

Creates a new set of angle structure equations for the given triangulation.

Each equation will be represented as a row of the matrix, and each column will represent a coordinate in the underlying coordinate system (which is described in the AngleStructureVector class notes).

The returned matrix will be newly allocated and its destruction will be the responsibility of the caller of this routine.

This routine is identical to the static class method AngleStructureVector::makeAngleEquations(). It is offered again here as a global routine so that it is accessible to Python users (who cannot access the AngleStructureVector class).

Parameters

  tri | the triangulation upon which these angle structure equations will be based.

Returns
  a newly allocated set of equations.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).